IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
ff04::/20- First address
ff04::- Last address
ff04:fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
ff04:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
0.4.0.f.f.ip6.arpa
Split into smaller subnets
ff04::/20 makes 256 subnets of /28.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff04::/28 | ff04:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff04:10::/28 | ff04:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff04:20::/28 | ff04:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff04:30::/28 | ff04:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff04:40::/28 | ff04:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff04:50::/28 | ff04:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff04:60::/28 | ff04:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff04:70::/28 | ff04:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff04:80::/28 | ff04:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff04:90::/28 | ff04:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff04:a0::/28 | ff04:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff04:b0::/28 | ff04:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff04:c0::/28 | ff04:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff04:d0::/28 | ff04:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff04:e0::/28 | ff04:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff04:f0::/28 | ff04:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff04:100::/28 | ff04:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff04:110::/28 | ff04:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff04:120::/28 | ff04:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff04:130::/28 | ff04:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff04:140::/28 | ff04:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff04:150::/28 | ff04:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff04:160::/28 | ff04:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff04:170::/28 | ff04:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff04:180::/28 | ff04:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff04:190::/28 | ff04:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff04:1a0::/28 | ff04:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff04:1b0::/28 | ff04:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff04:1c0::/28 | ff04:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff04:1d0::/28 | ff04:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff04:1e0::/28 | ff04:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff04:1f0::/28 | ff04:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff04:200::/28 | ff04:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff04:210::/28 | ff04:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff04:220::/28 | ff04:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff04:230::/28 | ff04:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff04:240::/28 | ff04:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff04:250::/28 | ff04:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff04:260::/28 | ff04:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff04:270::/28 | ff04:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff04:280::/28 | ff04:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff04:290::/28 | ff04:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff04:2a0::/28 | ff04:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff04:2b0::/28 | ff04:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff04:2c0::/28 | ff04:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff04:2d0::/28 | ff04:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff04:2e0::/28 | ff04:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff04:2f0::/28 | ff04:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff04:300::/28 | ff04:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff04:310::/28 | ff04:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff04:320::/28 | ff04:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff04:330::/28 | ff04:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff04:340::/28 | ff04:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff04:350::/28 | ff04:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff04:360::/28 | ff04:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff04:370::/28 | ff04:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff04:380::/28 | ff04:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff04:390::/28 | ff04:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff04:3a0::/28 | ff04:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff04:3b0::/28 | ff04:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff04:3c0::/28 | ff04:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff04:3d0::/28 | ff04:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff04:3e0::/28 | ff04:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff04:3f0::/28 | ff04:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff04:400::/28 | ff04:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff04:410::/28 | ff04:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff04:420::/28 | ff04:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff04:430::/28 | ff04:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff04:440::/28 | ff04:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff04:450::/28 | ff04:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff04:460::/28 | ff04:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff04:470::/28 | ff04:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff04:480::/28 | ff04:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff04:490::/28 | ff04:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff04:4a0::/28 | ff04:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff04:4b0::/28 | ff04:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff04:4c0::/28 | ff04:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff04:4d0::/28 | ff04:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff04:4e0::/28 | ff04:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff04:4f0::/28 | ff04:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff04:500::/28 | ff04:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff04:510::/28 | ff04:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff04:520::/28 | ff04:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff04:530::/28 | ff04:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff04:540::/28 | ff04:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff04:550::/28 | ff04:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff04:560::/28 | ff04:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff04:570::/28 | ff04:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff04:580::/28 | ff04:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff04:590::/28 | ff04:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff04:5a0::/28 | ff04:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff04:5b0::/28 | ff04:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff04:5c0::/28 | ff04:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff04:5d0::/28 | ff04:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff04:5e0::/28 | ff04:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff04:5f0::/28 | ff04:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff04:600::/28 | ff04:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff04:610::/28 | ff04:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff04:620::/28 | ff04:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff04:630::/28 | ff04:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff04:640::/28 | ff04:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff04:650::/28 | ff04:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff04:660::/28 | ff04:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff04:670::/28 | ff04:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff04:680::/28 | ff04:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff04:690::/28 | ff04:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff04:6a0::/28 | ff04:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff04:6b0::/28 | ff04:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff04:6c0::/28 | ff04:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff04:6d0::/28 | ff04:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff04:6e0::/28 | ff04:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff04:6f0::/28 | ff04:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff04:700::/28 | ff04:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff04:710::/28 | ff04:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff04:720::/28 | ff04:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff04:730::/28 | ff04:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff04:740::/28 | ff04:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff04:750::/28 | ff04:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff04:760::/28 | ff04:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff04:770::/28 | ff04:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff04:780::/28 | ff04:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff04:790::/28 | ff04:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff04:7a0::/28 | ff04:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff04:7b0::/28 | ff04:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff04:7c0::/28 | ff04:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff04:7d0::/28 | ff04:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff04:7e0::/28 | ff04:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff04:7f0::/28 | ff04:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff04:800::/28 | ff04:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff04:810::/28 | ff04:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff04:820::/28 | ff04:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff04:830::/28 | ff04:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff04:840::/28 | ff04:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff04:850::/28 | ff04:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff04:860::/28 | ff04:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff04:870::/28 | ff04:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff04:880::/28 | ff04:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff04:890::/28 | ff04:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff04:8a0::/28 | ff04:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff04:8b0::/28 | ff04:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff04:8c0::/28 | ff04:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff04:8d0::/28 | ff04:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff04:8e0::/28 | ff04:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff04:8f0::/28 | ff04:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff04:900::/28 | ff04:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff04:910::/28 | ff04:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff04:920::/28 | ff04:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff04:930::/28 | ff04:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff04:940::/28 | ff04:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff04:950::/28 | ff04:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff04:960::/28 | ff04:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff04:970::/28 | ff04:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff04:980::/28 | ff04:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff04:990::/28 | ff04:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff04:9a0::/28 | ff04:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff04:9b0::/28 | ff04:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff04:9c0::/28 | ff04:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff04:9d0::/28 | ff04:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff04:9e0::/28 | ff04:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff04:9f0::/28 | ff04:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff04:a00::/28 | ff04:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff04:a10::/28 | ff04:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff04:a20::/28 | ff04:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff04:a30::/28 | ff04:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff04:a40::/28 | ff04:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff04:a50::/28 | ff04:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff04:a60::/28 | ff04:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff04:a70::/28 | ff04:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff04:a80::/28 | ff04:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff04:a90::/28 | ff04:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff04:aa0::/28 | ff04:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff04:ab0::/28 | ff04:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff04:ac0::/28 | ff04:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff04:ad0::/28 | ff04:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff04:ae0::/28 | ff04:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff04:af0::/28 | ff04:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff04:b00::/28 | ff04:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff04:b10::/28 | ff04:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff04:b20::/28 | ff04:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff04:b30::/28 | ff04:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff04:b40::/28 | ff04:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff04:b50::/28 | ff04:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff04:b60::/28 | ff04:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff04:b70::/28 | ff04:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff04:b80::/28 | ff04:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff04:b90::/28 | ff04:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff04:ba0::/28 | ff04:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff04:bb0::/28 | ff04:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff04:bc0::/28 | ff04:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff04:bd0::/28 | ff04:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff04:be0::/28 | ff04:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff04:bf0::/28 | ff04:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff04:c00::/28 | ff04:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff04:c10::/28 | ff04:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff04:c20::/28 | ff04:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff04:c30::/28 | ff04:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff04:c40::/28 | ff04:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff04:c50::/28 | ff04:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff04:c60::/28 | ff04:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff04:c70::/28 | ff04:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff04:c80::/28 | ff04:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff04:c90::/28 | ff04:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff04:ca0::/28 | ff04:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff04:cb0::/28 | ff04:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff04:cc0::/28 | ff04:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff04:cd0::/28 | ff04:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff04:ce0::/28 | ff04:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff04:cf0::/28 | ff04:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff04:d00::/28 | ff04:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff04:d10::/28 | ff04:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff04:d20::/28 | ff04:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff04:d30::/28 | ff04:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff04:d40::/28 | ff04:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff04:d50::/28 | ff04:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff04:d60::/28 | ff04:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff04:d70::/28 | ff04:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff04:d80::/28 | ff04:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff04:d90::/28 | ff04:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff04:da0::/28 | ff04:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff04:db0::/28 | ff04:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff04:dc0::/28 | ff04:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff04:dd0::/28 | ff04:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff04:de0::/28 | ff04:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff04:df0::/28 | ff04:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff04:e00::/28 | ff04:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff04:e10::/28 | ff04:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff04:e20::/28 | ff04:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff04:e30::/28 | ff04:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff04:e40::/28 | ff04:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff04:e50::/28 | ff04:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff04:e60::/28 | ff04:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff04:e70::/28 | ff04:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff04:e80::/28 | ff04:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff04:e90::/28 | ff04:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff04:ea0::/28 | ff04:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff04:eb0::/28 | ff04:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff04:ec0::/28 | ff04:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff04:ed0::/28 | ff04:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff04:ee0::/28 | ff04:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff04:ef0::/28 | ff04:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff04:f00::/28 | ff04:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff04:f10::/28 | ff04:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff04:f20::/28 | ff04:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff04:f30::/28 | ff04:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff04:f40::/28 | ff04:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff04:f50::/28 | ff04:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff04:f60::/28 | ff04:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff04:f70::/28 | ff04:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff04:f80::/28 | ff04:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff04:f90::/28 | ff04:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff04:fa0::/28 | ff04:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff04:fb0::/28 | ff04:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff04:fc0::/28 | ff04:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff04:fd0::/28 | ff04:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff04:fe0::/28 | ff04:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff04:ff0::/28 | ff04:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |